/*
** ADM-XRC Series Driver
**
** (C) Copyright 2001-2004 Alpha Data
**
** drvparam.c - Retrieves the driver parameters and saves them in a globally
**              visible structure, for easy access.
**
** ----------------------------------------------------------------------------
*/

#include "device.h"
#include "drvparam.h"

void
admxrcInitDriverParams(
  OS_DRIVER_OBJECT* pDrvObj)
{
  admxrcDriverParams.pciReadMultiple = FALSE;
  admxrcDriverParams.pciWriteAndInvalidate = FALSE;
  admxrcDriverParams.maxDmaDesc = ADMXRC_MAX_DMADESC;
  admxrcDriverParams.maxPlxDesc = ADMXRC_MAX_PLXDESC_PER_CHANNEL;
  admxrcDriverParams.pci9656ErrataFix = FALSE;
  admxrcDriverParams.pci9656RegsAsSpace = FALSE;
  admxrcDriverParams.pci9656DmaDisable = FALSE;
  admxrcDriverParams.icd2061PMax = 131;
  admxrcDriverParams.model.xrc.lclkMin = 399000;
  admxrcDriverParams.model.xrc.lclkMax = 40001000;
  admxrcDriverParams.model.xrcp.lclkMin = 399000;
  admxrcDriverParams.model.xrcp.lclkMax = 40001000;
  admxrcDriverParams.model.xrc2l.lclkMin = 399000;
  admxrcDriverParams.model.xrc2l.lclkMax = 40001000;
  admxrcDriverParams.model.xrc2.lclkMin = 399000;
  admxrcDriverParams.model.xrc2.lclkMax = 66001000;
  admxrcDriverParams.model.xpl.lclkMin = 5999000;
  admxrcDriverParams.model.xpl.lclkMax = 80001000;
  admxrcDriverParams.model.xpl.unlockFlash = FALSE;
  admxrcDriverParams.model.wrc2.lclkMin = 399000;
  admxrcDriverParams.model.wrc2.lclkMax = 66001000;
  admxrcDriverParams.model.drc2.lclkMin = 399000;
  admxrcDriverParams.model.drc2.lclkMax = 66001000;
  admxrcDriverParams.model.xp.lclkMin = 5999000;
  admxrcDriverParams.model.xp.lclkMax = 80001000;
  admxrcDriverParams.model.xp.unlockFlash = FALSE;
  admxrcDriverParams.model.xpi.lclkMin = 5999000;
  admxrcDriverParams.model.xpi.lclkMax = 80001000;
  admxrcDriverParams.model.xpi.unlockFlash = FALSE;
  admxrcDriverParams.model.xrc4ls.lclkMin = 399000;
  admxrcDriverParams.model.xrc4ls.lclkMax = 66001000;
  admxrcDriverParams.model.xrc4ls.smap32Bit = FALSE;
  admxrcDriverParams.model.xrc4lx.lclkMin = 399000;
  admxrcDriverParams.model.xrc4lx.lclkMax = 66001000;
  admxrcDriverParams.model.xrc4ls.smap32Bit = FALSE;
  admxrcDriverParams.model.xrc4sx.lclkMin = 399000;
  admxrcDriverParams.model.xrc4sx.lclkMax = 66001000;
  admxrcDriverParams.model.xrc4sx.smap32Bit = FALSE;
  admxrcDriverParams.model.xrc4fx.lclkMin = 31999000;
  admxrcDriverParams.model.xrc4fx.lclkMax = 80001000;
  admxrcDriverParams.model.xrc4fx.unlockFlash = FALSE;
  admxrcDriverParams.model.xrc4fx.smap32Bit = FALSE;
  admxrcDriverParams.model.xrce4fx.lclkMin = 5999000;
  admxrcDriverParams.model.xrce4fx.lclkMax = 80001000;
  admxrcDriverParams.model.xrce4fx.unlockFlash = FALSE;
  admxrcDriverParams.model.xrce4fx.smap32Bit = FALSE;
  admxrcDriverParams.model.xrc5lx.lclkMin = 5999000;
  admxrcDriverParams.model.xrc5lx.lclkMax = 80001000;
  admxrcDriverParams.model.xrc5lx.unlockFlash = FALSE;
  admxrcDriverParams.model.xrc5lx.smap32Bit = FALSE;
  admxrcDriverParams.model.xrc5t1.lclkMin = 31999000;
  admxrcDriverParams.model.xrc5t1.lclkMax = 80001000;
  admxrcDriverParams.model.xrc5t1.unlockFlash = FALSE;
  admxrcDriverParams.model.xrc5t1.smap32Bit = FALSE;
  admxrcDriverParams.model.xrcp4lx.lclkMin = 5999000;
  admxrcDriverParams.model.xrcp4lx.lclkMax = 80001000;
  admxrcDriverParams.model.xrcp4lx.unlockFlash = FALSE;
  admxrcDriverParams.model.xrcp4lx.smap32Bit = FALSE;
  admxrcDriverParams.model.xrc5lxa.lclkMin = 31999000;
  admxrcDriverParams.model.xrc5lxa.lclkMax = 80001000;
  admxrcDriverParams.model.xrc5lxa.unlockFlash = FALSE;
  admxrcDriverParams.model.xrc5lxa.smap32Bit = FALSE;
  admxrcDriverParams.model.xrc5t2.lclkMin = 31999000;
  admxrcDriverParams.model.xrc5t2.lclkMax = 80001000;
  admxrcDriverParams.model.xrc5t2.unlockFlash = FALSE;
  admxrcDriverParams.model.xrc5t2.smap32Bit = FALSE;
  admxrcDriverParams.model.amc5a2.lclkMin = 31999000;
  admxrcDriverParams.model.amc5a2.lclkMax = 80001000;
  admxrcDriverParams.model.amc5a2.unlockFlash = FALSE;
  admxrcDriverParams.model.amc5a2.smap32Bit = FALSE;
  admxrcDriverParams.model.xrc5tz.lclkMin = 31999000;
  admxrcDriverParams.model.xrc5tz.lclkMax = 80001000;
  admxrcDriverParams.model.xrc5tz.unlockFlash = FALSE;
  admxrcDriverParams.model.xrc5tz.smap32Bit = FALSE;
  
  os_get_driver_param(pDrvObj,
		      "PCIReadMultiple",
		      DriverParamType_boolean,
		      &admxrcDriverParams.pciReadMultiple,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "PCIWriteAndInvalidate",
		      DriverParamType_boolean,
		      &admxrcDriverParams.pciWriteAndInvalidate,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "PCI9656DmaDisable",
		      DriverParamType_boolean,
		      &admxrcDriverParams.pci9656DmaDisable,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "PCI9656ErrataFix",
		      DriverParamType_boolean,
		      &admxrcDriverParams.pci9656ErrataFix,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "PCI9656RegsAsSpace",
		      DriverParamType_boolean,
		      &admxrcDriverParams.pci9656RegsAsSpace,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "MaxDmaDesc",
		      DriverParamType_uint32,
		      &admxrcDriverParams.maxDmaDesc,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "MaxPlxDesc",
		      DriverParamType_uint32,
		      &admxrcDriverParams.maxPlxDesc,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ICD2061PMax",
		      DriverParamType_uint32,
		      &admxrcDriverParams.icd2061PMax,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXRCMaxLCLK",
		      DriverParamType_uint32,
		      &admxrcDriverParams.model.xrc.lclkMax,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXRCMinLCLK",
		      DriverParamType_uint32,
		      &admxrcDriverParams.model.xrc.lclkMin,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXRCPMaxLCLK",
		      DriverParamType_uint32,
		      &admxrcDriverParams.model.xrcp.lclkMax,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXRCPMinLCLK",
		      DriverParamType_uint32,
		      &admxrcDriverParams.model.xrcp.lclkMin,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXRC2LMaxLCLK",
		      DriverParamType_uint32,
		      &admxrcDriverParams.model.xrc2l.lclkMax,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXRC2LMinLCLK",
		      DriverParamType_uint32,
		      &admxrcDriverParams.model.xrc2l.lclkMin,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXRC2MaxLCLK",
		      DriverParamType_uint32,
		      &admxrcDriverParams.model.xrc2.lclkMax,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXRC2MinLCLK",
		      DriverParamType_uint32,
		      &admxrcDriverParams.model.xrc2.lclkMin,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXPLMaxLCLK",
		      DriverParamType_uint32,
		      &admxrcDriverParams.model.xpl.lclkMax,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXPLMinLCLK",
		      DriverParamType_uint32,
		      &admxrcDriverParams.model.xpl.lclkMin,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXPLUnlockFlash",
		      DriverParamType_boolean,
		      &admxrcDriverParams.model.xpl.unlockFlash,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXPMaxLCLK",
		      DriverParamType_uint32,
		      &admxrcDriverParams.model.xp.lclkMax,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXPMinLCLK",
		      DriverParamType_uint32,
		      &admxrcDriverParams.model.xp.lclkMin,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXPUnlockFlash",
		      DriverParamType_boolean,
		      &admxrcDriverParams.model.xp.unlockFlash,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADPDRC2MaxLCLK",
		      DriverParamType_uint32,
		      &admxrcDriverParams.model.drc2.lclkMax,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADPDRC2MinLCLK",
		      DriverParamType_uint32,
		      &admxrcDriverParams.model.drc2.lclkMin,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADPWRC2MaxLCLK",
		      DriverParamType_uint32,
		      &admxrcDriverParams.model.wrc2.lclkMax,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADPWRC2MinLCLK",
		      DriverParamType_uint32,
		      &admxrcDriverParams.model.wrc2.lclkMin,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADPXPIMaxLCLK",
		      DriverParamType_uint32,
		      &admxrcDriverParams.model.xpi.lclkMax,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADPXPIMinLCLK",
		      DriverParamType_uint32,
		      &admxrcDriverParams.model.xpi.lclkMin,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADPXPIUnlockFlash",
		      DriverParamType_boolean,
		      &admxrcDriverParams.model.xpi.unlockFlash,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXRC4LSMaxLCLK",
		      DriverParamType_uint32,
		      &admxrcDriverParams.model.xrc4ls.lclkMax,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXRC4LSMinLCLK",
		      DriverParamType_uint32,
		      &admxrcDriverParams.model.xrc4ls.lclkMin,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXRC4LSSmap32Bit",
		      DriverParamType_boolean,
		      &admxrcDriverParams.model.xrc4ls.smap32Bit,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXRC4LXMaxLCLK",
		      DriverParamType_uint32,
		      &admxrcDriverParams.model.xrc4lx.lclkMax,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXRC4LXMinLCLK",
		      DriverParamType_uint32,
		      &admxrcDriverParams.model.xrc4lx.lclkMin,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXRC4LXSmap32Bit",
		      DriverParamType_boolean,
		      &admxrcDriverParams.model.xrc4lx.smap32Bit,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXRC4SXMaxLCLK",
		      DriverParamType_uint32,
		      &admxrcDriverParams.model.xrc4sx.lclkMax,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXRC4SXMinLCLK",
		      DriverParamType_uint32,
		      &admxrcDriverParams.model.xrc4sx.lclkMin,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXRC4SXSmap32Bit",
		      DriverParamType_boolean,
		      &admxrcDriverParams.model.xrc4sx.smap32Bit,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXRC4FXMaxLCLK",
		      DriverParamType_uint32,
		      &admxrcDriverParams.model.xrc4fx.lclkMax,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXRC4FXMinLCLK",
		      DriverParamType_uint32,
		      &admxrcDriverParams.model.xrc4fx.lclkMin,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXRC4FXUnlockFlash",
		      DriverParamType_boolean,
		      &admxrcDriverParams.model.xrc4fx.unlockFlash,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXRC4FXSmap32Bit",
		      DriverParamType_boolean,
		      &admxrcDriverParams.model.xrc4fx.smap32Bit,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADPEXRC4FXMaxLCLK",
		      DriverParamType_uint32,
		      &admxrcDriverParams.model.xrce4fx.lclkMax,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADPEXRC4FXMinLCLK",
		      DriverParamType_uint32,
		      &admxrcDriverParams.model.xrce4fx.lclkMin,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADPEXRC4FXUnlockFlash",
		      DriverParamType_boolean,
		      &admxrcDriverParams.model.xrce4fx.unlockFlash,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADPEXRC4FXSmap32Bit",
		      DriverParamType_boolean,
		      &admxrcDriverParams.model.xrce4fx.smap32Bit,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXRC5LXMaxLCLK",
		      DriverParamType_uint32,
		      &admxrcDriverParams.model.xrc5lx.lclkMax,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXRC5LXMinLCLK",
		      DriverParamType_uint32,
		      &admxrcDriverParams.model.xrc5lx.lclkMin,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXRC5LXUnlockFlash",
		      DriverParamType_boolean,
		      &admxrcDriverParams.model.xrc5lx.unlockFlash,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXRC5LXSmap32Bit",
		      DriverParamType_boolean,
		      &admxrcDriverParams.model.xrc5lx.smap32Bit,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXRC5T1MaxLCLK",
		      DriverParamType_uint32,
		      &admxrcDriverParams.model.xrc5t1.lclkMax,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXRC5T1MinLCLK",
		      DriverParamType_uint32,
		      &admxrcDriverParams.model.xrc5t1.lclkMin,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXRC5T1UnlockFlash",
		      DriverParamType_boolean,
		      &admxrcDriverParams.model.xrc5t1.unlockFlash,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXRC5T1Smap32Bit",
		      DriverParamType_boolean,
		      &admxrcDriverParams.model.xrc5t1.smap32Bit,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADCPXRC4LXMaxLCLK",
		      DriverParamType_uint32,
		      &admxrcDriverParams.model.xrcp4lx.lclkMax,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADCPXRC4LXMinLCLK",
		      DriverParamType_uint32,
		      &admxrcDriverParams.model.xrcp4lx.lclkMin,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADCPXRC4LXUnlockFlash",
		      DriverParamType_boolean,
		      &admxrcDriverParams.model.xrcp4lx.unlockFlash,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADCPXRC4LXSmap32Bit",
		      DriverParamType_boolean,
		      &admxrcDriverParams.model.xrcp4lx.smap32Bit,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXRC5T2MaxLCLK",
		      DriverParamType_uint32,
		      &admxrcDriverParams.model.xrc5t2.lclkMax,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXRC5T2MinLCLK",
		      DriverParamType_uint32,
		      &admxrcDriverParams.model.xrc5t2.lclkMin,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXRC5T2UnlockFlash",
		      DriverParamType_boolean,
		      &admxrcDriverParams.model.xrc5t2.unlockFlash,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXRC5T2Smap32Bit",
		      DriverParamType_boolean,
		      &admxrcDriverParams.model.xrc5t2.smap32Bit,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXRC5LXAMaxLCLK",
		      DriverParamType_uint32,
		      &admxrcDriverParams.model.xrc5lxa.lclkMax,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXRC5LXAMinLCLK",
		      DriverParamType_uint32,
		      &admxrcDriverParams.model.xrc5lxa.lclkMin,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXRC5LXAUnlockFlash",
		      DriverParamType_boolean,
		      &admxrcDriverParams.model.xrc5lxa.unlockFlash,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXRC5LXASmap32Bit",
		      DriverParamType_boolean,
		      &admxrcDriverParams.model.xrc5lxa.smap32Bit,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMAMC5A2MaxLCLK",
		      DriverParamType_uint32,
		      &admxrcDriverParams.model.amc5a2.lclkMax,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMAMC5A2MinLCLK",
		      DriverParamType_uint32,
		      &admxrcDriverParams.model.amc5a2.lclkMin,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMAMC5A2UnlockFlash",
		      DriverParamType_boolean,
		      &admxrcDriverParams.model.amc5a2.unlockFlash,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMAMC5A2Smap32Bit",
		      DriverParamType_boolean,
		      &admxrcDriverParams.model.amc5a2.smap32Bit,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXRC5TZMaxLCLK",
		      DriverParamType_uint32,
		      &admxrcDriverParams.model.xrc5tz.lclkMax,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXRC5TZMinLCLK",
		      DriverParamType_uint32,
		      &admxrcDriverParams.model.xrc5tz.lclkMin,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXRC5TZUnlockFlash",
		      DriverParamType_boolean,
		      &admxrcDriverParams.model.xrc5tz.unlockFlash,
		      sizeof(os_uint32));

  os_get_driver_param(pDrvObj,
		      "ADMXRC5TZSmap32Bit",
		      DriverParamType_boolean,
		      &admxrcDriverParams.model.xrc5tz.smap32Bit,
		      sizeof(os_uint32));

  os_dbgprint(2, ("admxrcInitDriverParams:\n"));
  os_dbgprint(2, ("  PCIReadMultiple=%ld\n", (unsigned long) admxrcDriverParams.pciReadMultiple));
  os_dbgprint(2, ("  PCIWriteAndInvalidate=%ld\n", (unsigned long) admxrcDriverParams.pciWriteAndInvalidate));
  os_dbgprint(2, ("  PCI9656ErrataFix=%ld\n", (unsigned long) admxrcDriverParams.pci9656ErrataFix));
  os_dbgprint(2, ("  PCI9656RegsAsSpace=%ld\n", (unsigned long) admxrcDriverParams.pci9656RegsAsSpace));
  os_dbgprint(2, ("  PCI9656DmaDisable=%ld\n", (unsigned long) admxrcDriverParams.pci9656DmaDisable));
  os_dbgprint(2, ("  MaxDmaDesc=%ld\n", (unsigned long) admxrcDriverParams.maxDmaDesc));
  os_dbgprint(2, ("  MaxPlxDesc=%ld\n", (unsigned long) admxrcDriverParams.maxPlxDesc));
  os_dbgprint(2, ("  ICD2061PMax=%ld\n", (unsigned long) admxrcDriverParams.icd2061PMax));
  os_dbgprint(2, ("  ADMXRCMaxLCLK=%ld\n", (unsigned long) admxrcDriverParams.model.xrc.lclkMax));
  os_dbgprint(2, ("  ADMXRCMinLCLK=%ld\n", (unsigned long) admxrcDriverParams.model.xrc.lclkMin));
  os_dbgprint(2, ("  ADMXRCPMaxLCLK=%ld\n", (unsigned long) admxrcDriverParams.model.xrcp.lclkMax));
  os_dbgprint(2, ("  ADMXRCPMinLCLK=%ld\n", (unsigned long) admxrcDriverParams.model.xrcp.lclkMin));
  os_dbgprint(2, ("  ADMXRC2LMaxLCLK=%ld\n", (unsigned long) admxrcDriverParams.model.xrc2l.lclkMax));
  os_dbgprint(2, ("  ADMXRC2LMinLCLK=%ld\n", (unsigned long) admxrcDriverParams.model.xrc2l.lclkMin));
  os_dbgprint(2, ("  ADMXRC2MaxLCLK=%ld\n", (unsigned long) admxrcDriverParams.model.xrc2.lclkMax));
  os_dbgprint(2, ("  ADMXRC2MinLCLK=%ld\n", (unsigned long) admxrcDriverParams.model.xrc2.lclkMin));
  os_dbgprint(2, ("  ADMXPLMaxLCLK=%ld\n", (unsigned long) admxrcDriverParams.model.xpl.lclkMax));
  os_dbgprint(2, ("  ADMXPLMinLCLK=%ld\n", (unsigned long) admxrcDriverParams.model.xpl.lclkMin));
  os_dbgprint(2, ("  ADMXPLUnlockFlash=%ld\n", (unsigned long) admxrcDriverParams.model.xpl.unlockFlash));
  os_dbgprint(2, ("  ADMXPMaxLCLK=%ld\n", (unsigned long) admxrcDriverParams.model.xp.lclkMax));
  os_dbgprint(2, ("  ADMXPMinLCLK=%ld\n", (unsigned long) admxrcDriverParams.model.xp.lclkMin));
  os_dbgprint(2, ("  ADMXPUnlockFlash=%ld\n", (unsigned long) admxrcDriverParams.model.xp.unlockFlash));
  os_dbgprint(2, ("  ADPDRC2MaxLCLK=%ld\n", (unsigned long) admxrcDriverParams.model.drc2.lclkMax));
  os_dbgprint(2, ("  ADPDRC2MinLCLK=%ld\n", (unsigned long) admxrcDriverParams.model.drc2.lclkMin));
  os_dbgprint(2, ("  ADPWRC2MaxLCLK=%ld\n", (unsigned long) admxrcDriverParams.model.wrc2.lclkMax));
  os_dbgprint(2, ("  ADPWRC2MinLCLK=%ld\n", (unsigned long) admxrcDriverParams.model.wrc2.lclkMin));
  os_dbgprint(2, ("  ADPXPIMaxLCLK=%ld\n", (unsigned long) admxrcDriverParams.model.xpi.lclkMax));
  os_dbgprint(2, ("  ADPXPIMinLCLK=%ld\n", (unsigned long) admxrcDriverParams.model.xpi.lclkMin));
  os_dbgprint(2, ("  ADPXPIUnlockFlash=%ld\n", (unsigned long) admxrcDriverParams.model.xpi.unlockFlash));
  os_dbgprint(2, ("  ADMXRC4LSMaxLCLK=%ld\n", (unsigned long) admxrcDriverParams.model.xrc4ls.lclkMax));
  os_dbgprint(2, ("  ADMXRC4LSMinLCLK=%ld\n", (unsigned long) admxrcDriverParams.model.xrc4ls.lclkMin));
  os_dbgprint(2, ("  ADMXRC4LSSmap32Bit=%ld\n", (unsigned long) admxrcDriverParams.model.xrc4ls.smap32Bit));
  os_dbgprint(2, ("  ADMXRC4LXMaxLCLK=%ld\n", (unsigned long) admxrcDriverParams.model.xrc4lx.lclkMax));
  os_dbgprint(2, ("  ADMXRC4LXMinLCLK=%ld\n", (unsigned long) admxrcDriverParams.model.xrc4lx.lclkMin));
  os_dbgprint(2, ("  ADMXRC4LXSmap32Bit=%ld\n", (unsigned long) admxrcDriverParams.model.xrc4lx.smap32Bit));
  os_dbgprint(2, ("  ADMXRC4SXMaxLCLK=%ld\n", (unsigned long) admxrcDriverParams.model.xrc4sx.lclkMax));
  os_dbgprint(2, ("  ADMXRC4SXMinLCLK=%ld\n", (unsigned long) admxrcDriverParams.model.xrc4sx.lclkMin));
  os_dbgprint(2, ("  ADMXRC4SXSmap32Bit=%ld\n", (unsigned long) admxrcDriverParams.model.xrc4sx.smap32Bit));
  os_dbgprint(2, ("  ADMXRC4FXMaxLCLK=%ld\n", (unsigned long) admxrcDriverParams.model.xrc4fx.lclkMax));
  os_dbgprint(2, ("  ADMXRC4FXMinLCLK=%ld\n", (unsigned long) admxrcDriverParams.model.xrc4fx.lclkMin));
  os_dbgprint(2, ("  ADMXRC4FXUnlockFlash=%ld\n", (unsigned long) admxrcDriverParams.model.xrc4fx.unlockFlash));
  os_dbgprint(2, ("  ADMXRC4FXSmap32Bit=%ld\n", (unsigned long) admxrcDriverParams.model.xrc4fx.smap32Bit));
  os_dbgprint(2, ("  ADPEXRC4FXMaxLCLK=%ld\n", (unsigned long) admxrcDriverParams.model.xrce4fx.lclkMax));
  os_dbgprint(2, ("  ADPEXRC4FXMinLCLK=%ld\n", (unsigned long) admxrcDriverParams.model.xrce4fx.lclkMin));
  os_dbgprint(2, ("  ADPEXRC4FXUnlockFlash=%ld\n", (unsigned long) admxrcDriverParams.model.xrce4fx.unlockFlash));
  os_dbgprint(2, ("  ADPEXRC4FXSmap32Bit=%ld\n", (unsigned long) admxrcDriverParams.model.xrce4fx.smap32Bit));
  os_dbgprint(2, ("  ADMXRC5LXMaxLCLK=%ld\n", (unsigned long) admxrcDriverParams.model.xrc5lx.lclkMax));
  os_dbgprint(2, ("  ADMXRC5LXMinLCLK=%ld\n", (unsigned long) admxrcDriverParams.model.xrc5lx.lclkMin));
  os_dbgprint(2, ("  ADMXRC5LXUnlockFlash=%ld\n", (unsigned long) admxrcDriverParams.model.xrc5lx.unlockFlash));
  os_dbgprint(2, ("  ADMXRC5LXSmap32Bit=%ld\n", (unsigned long) admxrcDriverParams.model.xrc5lx.smap32Bit));
  os_dbgprint(2, ("  ADMXRC5T1MaxLCLK=%ld\n", (unsigned long) admxrcDriverParams.model.xrc5t1.lclkMax));
  os_dbgprint(2, ("  ADMXRC5T1MinLCLK=%ld\n", (unsigned long) admxrcDriverParams.model.xrc5t1.lclkMin));
  os_dbgprint(2, ("  ADMXRC5T1UnlockFlash=%ld\n", (unsigned long) admxrcDriverParams.model.xrc5t1.unlockFlash));
  os_dbgprint(2, ("  ADMXRC5T1Smap32Bit=%ld\n", (unsigned long) admxrcDriverParams.model.xrc5t1.smap32Bit));
  os_dbgprint(2, ("  ADCPXRC4LXMaxLCLK=%ld\n", (unsigned long) admxrcDriverParams.model.xrcp4lx.lclkMax));
  os_dbgprint(2, ("  ADCPXRC4LXMinLCLK=%ld\n", (unsigned long) admxrcDriverParams.model.xrcp4lx.lclkMin));
  os_dbgprint(2, ("  ADCPXRC4LXUnlockFlash=%ld\n", (unsigned long) admxrcDriverParams.model.xrcp4lx.unlockFlash));
  os_dbgprint(2, ("  ADCPXRC4LXSmap32Bit=%ld\n", (unsigned long) admxrcDriverParams.model.xrcp4lx.smap32Bit));
  os_dbgprint(2, ("  ADMXRC5T2MaxLCLK=%ld\n", (unsigned long) admxrcDriverParams.model.xrc5t2.lclkMax));
  os_dbgprint(2, ("  ADMXRC5T2MinLCLK=%ld\n", (unsigned long) admxrcDriverParams.model.xrc5t2.lclkMin));
  os_dbgprint(2, ("  ADMXRC5T2UnlockFlash=%ld\n", (unsigned long) admxrcDriverParams.model.xrc5t2.unlockFlash));
  os_dbgprint(2, ("  ADMXRC5T2Smap32Bit=%ld\n", (unsigned long) admxrcDriverParams.model.xrc5t2.smap32Bit));
  os_dbgprint(2, ("  ADMXRC5LXAMaxLCLK=%ld\n", (unsigned long) admxrcDriverParams.model.xrc5lxa.lclkMax));
  os_dbgprint(2, ("  ADMXRC5LXAMinLCLK=%ld\n", (unsigned long) admxrcDriverParams.model.xrc5lxa.lclkMin));
  os_dbgprint(2, ("  ADMXRC5LXAUnlockFlash=%ld\n", (unsigned long) admxrcDriverParams.model.xrc5lxa.unlockFlash));
  os_dbgprint(2, ("  ADMXRC5LXASmap32Bit=%ld\n", (unsigned long) admxrcDriverParams.model.xrc5lxa.smap32Bit));
  os_dbgprint(2, ("  ADMAMC5A2MaxLCLK=%ld\n", (unsigned long) admxrcDriverParams.model.amc5a2.lclkMax));
  os_dbgprint(2, ("  ADMAMC5A2MinLCLK=%ld\n", (unsigned long) admxrcDriverParams.model.amc5a2.lclkMin));
  os_dbgprint(2, ("  ADMAMC5A2UnlockFlash=%ld\n", (unsigned long) admxrcDriverParams.model.amc5a2.unlockFlash));
  os_dbgprint(2, ("  ADMAMC5A2Smap32Bit=%ld\n", (unsigned long) admxrcDriverParams.model.amc5a2.smap32Bit));
  os_dbgprint(2, ("  ADMXRC5TZMaxLCLK=%ld\n", (unsigned long) admxrcDriverParams.model.xrc5tz.lclkMax));
  os_dbgprint(2, ("  ADMXRC5TZMinLCLK=%ld\n", (unsigned long) admxrcDriverParams.model.xrc5tz.lclkMin));
  os_dbgprint(2, ("  ADMXRC5TZUnlockFlash=%ld\n", (unsigned long) admxrcDriverParams.model.xrc5tz.unlockFlash));
  os_dbgprint(2, ("  ADMXRC5TZSmap32Bit=%ld\n", (unsigned long) admxrcDriverParams.model.xrc5tz.smap32Bit));
}
